Package com.google.android.exoplayer2.extractor

## Class Id3Peeker

- java.lang.Object
- - com.google.android.exoplayer2.extractor.Id3Peeker

-     public final class Id3Peeker
      extends Object

  Peeks data from the beginning of an `ExtractorInput` to determine if there is any ID3 tag.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Id3Peeker()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Metadata` | `peekId3Data​(ExtractorInput input, Id3Decoder.FramePredicate id3FramePredicate)` | Peeks ID3 data from the input and parses the first ID3 tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Id3Peeker

          public Id3Peeker()

  - ### Method Detail

    - #### peekId3Data

          @Nullable
          public Metadata peekId3Data​(ExtractorInput input,
                                      @Nullable
                                      Id3Decoder.FramePredicate id3FramePredicate)
                               throws IOException

      Peeks ID3 data from the input and parses the first ID3 tag.
      Parameters:
        `input` - The `ExtractorInput` from which data should be peeked.
        `id3FramePredicate` - Determines which ID3 frames are decoded. May be null to decode all frames.
      Returns:
        The first ID3 tag decoded into a `Metadata` object. May be null if ID3 tag is not present in the input.
      Throws:
        `IOException` - If an error occurred peeking from the input.